> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# List Certifications

GET https://companies/%7Bcompany_id%7D/config/certifications

Reference: https://docs.itspropel.com/propel-biz/03-company/03-company-config/certifications/list-certifications

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /companies/%7Bcompany_id%7D/config/certifications:
    get:
      operationId: list-certifications
      summary: List Certifications
      tags:
        - >-
          subpackage_03Company.subpackage_03Company/03CompanyConfig.subpackage_03Company/03CompanyConfig/certifications
      parameters:
        - name: include
          in: query
          description: >-
            Optional: Relationships to include - comma separated -
            createdBy,updatedBy
          required: false
          schema:
            type: string
        - name: search
          in: query
          description: >-
            Optional: Search term across name, display_name, description,
            certification_code - example: EPA
          required: false
          schema:
            type: string
        - name: issuing_authority
          in: query
          description: 'Optional: Filter by issuing authority - example: EPA, OSHA'
          required: false
          schema:
            type: string
        - name: requires_renewal
          in: query
          description: 'Optional: Filter by renewal requirement - true|false|1|0'
          required: false
          schema:
            type: string
        - name: is_active
          in: query
          description: 'Optional: Filter by active status - true|false|1|0 - default: all'
          required: false
          schema:
            type: boolean
        - name: tenant_location_id
          in: query
          description: 'Optional: Filter by tenant location ID - numeric ID'
          required: false
          schema:
            type: string
        - name: per_page
          in: query
          description: 'Optional: Results per page - default 15'
          required: false
          schema:
            type: integer
        - name: page
          in: query
          description: 'Optional: Page number - default 1'
          required: false
          schema:
            type: integer
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/03 Company_03 Company >
                  Config_Certifications_List Certifications_Response_200
servers:
  - url: https:/
components:
  schemas:
    03 Company_03 Company > Config_Certifications_List Certifications_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        03 Company_03 Company > Config_Certifications_List
        Certifications_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/companies/%7Bcompany_id%7D/config/certifications"

querystring = {"include":"createdBy,updatedBy","search":"EPA Compliance","issuing_authority":"EPA","requires_renewal":"true","is_active":"true","tenant_location_id":"1024","per_page":"15","page":"1"}

payload = {
    "{{tenant_key_value1}}": "tenant123",
    "{{tenant_key_value2}}": "regionA"
}
headers = {
    "{{tenant_key_name}}": "X-Tenant-Key",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/companies/%7Bcompany_id%7D/config/certifications?include=createdBy%2CupdatedBy&search=EPA+Compliance&issuing_authority=EPA&requires_renewal=true&is_active=true&tenant_location_id=1024&per_page=15&page=1';
const options = {
  method: 'GET',
  headers: {'{{tenant_key_name}}': 'X-Tenant-Key', 'Content-Type': 'application/json'},
  body: '{"{{tenant_key_value1}}":"tenant123","{{tenant_key_value2}}":"regionA"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/companies/%7Bcompany_id%7D/config/certifications?include=createdBy%2CupdatedBy&search=EPA+Compliance&issuing_authority=EPA&requires_renewal=true&is_active=true&tenant_location_id=1024&per_page=15&page=1"

	payload := strings.NewReader("{\n  \"{{tenant_key_value1}}\": \"tenant123\",\n  \"{{tenant_key_value2}}\": \"regionA\"\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("{{tenant_key_name}}", "X-Tenant-Key")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/companies/%7Bcompany_id%7D/config/certifications?include=createdBy%2CupdatedBy&search=EPA+Compliance&issuing_authority=EPA&requires_renewal=true&is_active=true&tenant_location_id=1024&per_page=15&page=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["{{tenant_key_name}}"] = 'X-Tenant-Key'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"{{tenant_key_value1}}\": \"tenant123\",\n  \"{{tenant_key_value2}}\": \"regionA\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/companies/%7Bcompany_id%7D/config/certifications?include=createdBy%2CupdatedBy&search=EPA+Compliance&issuing_authority=EPA&requires_renewal=true&is_active=true&tenant_location_id=1024&per_page=15&page=1")
  .header("{{tenant_key_name}}", "X-Tenant-Key")
  .header("Content-Type", "application/json")
  .body("{\n  \"{{tenant_key_value1}}\": \"tenant123\",\n  \"{{tenant_key_value2}}\": \"regionA\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/companies/%7Bcompany_id%7D/config/certifications?include=createdBy%2CupdatedBy&search=EPA+Compliance&issuing_authority=EPA&requires_renewal=true&is_active=true&tenant_location_id=1024&per_page=15&page=1', [
  'body' => '{
  "{{tenant_key_value1}}": "tenant123",
  "{{tenant_key_value2}}": "regionA"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => 'X-Tenant-Key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/companies/%7Bcompany_id%7D/config/certifications?include=createdBy%2CupdatedBy&search=EPA+Compliance&issuing_authority=EPA&requires_renewal=true&is_active=true&tenant_location_id=1024&per_page=15&page=1");
var request = new RestRequest(Method.GET);
request.AddHeader("{{tenant_key_name}}", "X-Tenant-Key");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"{{tenant_key_value1}}\": \"tenant123\",\n  \"{{tenant_key_value2}}\": \"regionA\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "X-Tenant-Key",
  "Content-Type": "application/json"
]
let parameters = [
  "{{tenant_key_value1}}": "tenant123",
  "{{tenant_key_value2}}": "regionA"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/companies/%7Bcompany_id%7D/config/certifications?include=createdBy%2CupdatedBy&search=EPA+Compliance&issuing_authority=EPA&requires_renewal=true&is_active=true&tenant_location_id=1024&per_page=15&page=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```